# Class FinalRequestProcessor

java.lang.Object
org.apache.zookeeper.server.FinalRequestProcessor

All Implemented Interfaces:
  `RequestProcessor`

public class FinalRequestProcessor extends Object implements RequestProcessor
This Request processor actually applies any transaction associated with a request and services any queries. It is always at the end of a RequestProcessor chain (hence the name), so it does not have a nextProcessor member. This RequestProcessor counts on ZooKeeperServer to populate the outstandingRequests member of ZooKeeperServer.

## Nested Class Summary

### Nested classes/interfaces inherited from interface RequestProcessor

`RequestProcessor.RequestProcessorException`

## Constructor Summary

Constructors
Constructor
Description
`FinalRequestProcessor(ZooKeeperServer zks)`

## Method Summary

Modifier and Type
Method
Description
`void`
`processRequest(Request request)`
`void`
`shutdown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FinalRequestProcessor

public FinalRequestProcessor(ZooKeeperServer zks)

## Method Details

### processRequest

public void processRequest(Request request)

Specified by:
  `processRequest` in interface `RequestProcessor`

### shutdown

public void shutdown()

Specified by:
  `shutdown` in interface `RequestProcessor`